Bug 731191 (libspnav) - Review Request: libspnav - Open source alternative to 3DConnextion drivers
Summary: Review Request: libspnav - Open source alternative to 3DConnextion drivers
Keywords:
Status: CLOSED ERRATA
Alias: libspnav
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-16 21:35 UTC by Richard Shaw
Modified: 2014-05-28 10:25 UTC (History)
4 users (show)

Fixed In Version: libspnav-0.2.2-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-07 00:15:37 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Richard Shaw 2011-08-16 21:35:31 UTC
Spec URL: http://hobbes1069.fedorapeople.org/libspnav/libspnav.spec
SRPM URL: http://hobbes1069.fedorapeople.org/libspnav/libspnav-0.2.2-1.fc15.src.rpm
Description:
The spacenav project provides a free, compatible alternative to the proprietary
3Dconnexion device driver and SDK, for their 3D input devices (called "space
navigator", "space pilot", "space traveller", etc).

This package provides the library needed for applications to connect to the 
user land daemon.

Comment 1 Richard Shaw 2011-08-16 21:37:14 UTC
rpmlint output:

$ ls *.rpm
libspnav-0.2.2-1.fc15.src.rpm
libspnav-0.2.2-1.fc15.x86_64.rpm
libspnav-debuginfo-0.2.2-1.fc15.x86_64.rpm
libspnav-devel-0.2.2-1.fc15.x86_64.rpm
libspnav-static-0.2.2-1.fc15.x86_64.rpm

$ rpmlint *.rpm
libspnav.src: W: spelling-error %description -l en_US spacenav -> spacemen
libspnav.src: W: spelling-error %description -l en_US traveller -> traveler, traveled, traversal
libspnav.src:43: W: rpm-buildroot-usage %build %configure --prefix=%{buildroot}%{_prefix}
libspnav.x86_64: W: spelling-error %description -l en_US spacenav -> spacemen
libspnav.x86_64: W: spelling-error %description -l en_US traveller -> traveler, traveled, traversal
libspnav-static.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 6 warnings.

Comment 2 Rex Dieter 2011-08-17 12:46:25 UTC
I can help review this.

Comment 3 Richard Shaw 2011-08-17 12:53:20 UTC
Great! I've also got spacenavd and spnavcfg packaged but haven't submitted review requests just yet.

Comment 4 Rex Dieter 2011-08-17 13:00:46 UTC
naming: ok

license: BSD, ok

sources: ok
b85a0f4ab711e2d4f73a40e2e371f5ae  libspnav-0.2.2.tar.gz

scriptlets: ok


1.  MUST:  build doesn't use $RPM_OPT_FLAGS.  maybe use something like:
--- configure.opt       2011-08-17 07:47:12.275486930 -0500
+++ configure   2011-08-17 07:52:24.599256027 -0500
@@ -74,7 +74,7 @@
 fi
 
 if [ "$OPT" = 'yes' ]; then
-       echo 'opt = -O3' >>Makefile
+       echo 'opt = -O3 $(RPM_OPT_FLAGS)' >>Makefile
 fi
 
 if [ "$X11" = 'yes' ]; then


2.  MUST.  static library build/packaged.   Please provide justification/rationale for doing so, or remove it.

3.  SHOULD.  In %files, be explicit about what soname to package, so future abi bumps don't come as a surprise, use something like
%files
%{_libdir}/libspnav.so.0*
instead?

4.  SHOULD.   Given all the configure/makefile hacks (optflags, DESTDIR, lib64) in the .spec, I'm wondering if it may be more worthwhile to make an upstreamable patch instead?  I can help do that, if that's agreeable with you.

Comment 5 Richard Shaw 2011-08-17 13:12:15 UTC
(In reply to comment #4)
> 1.  MUST:  build doesn't use $RPM_OPT_FLAGS.  maybe use something like:
> --- configure.opt       2011-08-17 07:47:12.275486930 -0500
> +++ configure   2011-08-17 07:52:24.599256027 -0500
> @@ -74,7 +74,7 @@
>  fi
> 
>  if [ "$OPT" = 'yes' ]; then
> -       echo 'opt = -O3' >>Makefile
> +       echo 'opt = -O3 $(RPM_OPT_FLAGS)' >>Makefile
>  fi
> 
>  if [ "$X11" = 'yes' ]; then

I'll get this updated and see if a patch wouldn't be better then a bunch of sed hacks. I usually just sed update "CFLAGS =" to "CFLAGS +=" 

 
> 2.  MUST.  static library build/packaged.   Please provide
> justification/rationale for doing so, or remove it.

Yeah, I was wondering about that. I only packaged it because it built it. I guess I just need to "rm -f" it so I don't get an "installed but unpackaged" error


> 3.  SHOULD.  In %files, be explicit about what soname to package, so future abi
> bumps don't come as a surprise, use something like
> %files
> %{_libdir}/libspnav.so.0*
> instead?

OK

 
> 4.  SHOULD.   Given all the configure/makefile hacks (optflags, DESTDIR, lib64)
> in the .spec, I'm wondering if it may be more worthwhile to make an
> upstreamable patch instead?  I can help do that, if that's agreeable with you.

I'll ask but these makefiles are VERY simple and the packages have not been updated recently so I wonder how active upstream is.

I'll post a new spec and SRPM shortly.

Comment 6 Richard Shaw 2011-08-17 13:33:22 UTC
Spec URL: http://hobbes1069.fedorapeople.org/libspnav/libspnav.spec
SRPM URL:
http://hobbes1069.fedorapeople.org/libspnav/libspnav-0.2.2-2.fc15.src.rpm

* Wed Aug 17 2011 Richard Shaw <hobbes1069@gmail.com> - 0.2.2-2
- Patched make file to honor Fedora CFLAGS defaults.
- Removed static library package.
- Other minor updates to the spec file.

This addresses 1-3. If you want to help with the makefile that's great as I'm not an expert at it :)

Comment 7 Rex Dieter 2011-08-17 18:51:39 UTC
good enough methinks, APPROVED.

Comment 8 Richard Shaw 2011-08-17 19:06:41 UTC
New Package SCM Request
=======================
Package Name: libspnav
Short Description: Open source alternative to 3DConnextion drivers
Owners: hobbes1069
Branches: f15 f16
InitialCC:

Comment 9 Gwyn Ciesla 2011-08-17 19:58:20 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2011-08-17 21:02:46 UTC
libspnav-0.2.2-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libspnav-0.2.2-2.fc15

Comment 11 Fedora Update System 2011-08-17 21:02:56 UTC
libspnav-0.2.2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libspnav-0.2.2-2.fc16

Comment 12 Fedora Update System 2011-08-18 22:04:10 UTC
libspnav-0.2.2-2.fc16 has been pushed to the Fedora 16 testing repository.

Comment 13 Fedora Update System 2011-09-07 00:15:32 UTC
libspnav-0.2.2-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 14 Fedora Update System 2011-09-07 03:43:30 UTC
libspnav-0.2.2-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 15 John Morris 2012-10-17 20:21:04 UTC
Package Change Request
======================
Package Name: libspnav
New Branches: el6
Owners: zultron hobbes1069
InitialCC: 

The owner of this package (hobbes1069) and I (zultron) are building this package for EPEL6.

Comment 16 Gwyn Ciesla 2012-10-17 21:08:22 UTC
Git done (by process-git-requests).

Comment 17 Richard Shaw 2014-05-27 14:54:22 UTC
Package Change Request
======================
Package Name: libspnav
New Branches: epel7
Owners: zultron hobbes1069
InitialCC:

Comment 18 Gwyn Ciesla 2014-05-28 10:25:43 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.